SystemOrganization addCategory: #'Rizel-Interpreter'!

StackMacOSConfig subclass: #RizelStackMacOSConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Interpreter'!

!RizelStackMacOSConfig methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/19/2012 13:01'!
interpreterClass
	^ RizelStackInterpreter! !

StackInterpreterPrimitives subclass: #RizelStackInterpreter
	instanceVariableNames: 'numberOfMessagesSent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Interpreter'!

!RizelStackInterpreter methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/30/2012 10:03'!
normalSend 
      numberOfMessagesSent ifNil:[ numberOfMessagesSent:= 0].
	numberOfMessagesSent := numberOfMessagesSent + 1.
	^ super normalSend.! !

!RizelStackInterpreter methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/30/2012 10:05'!
primitiveGetMessagesSent
	"self pushInteger: (self integerObjectOf: numberOfMessagesSent )."

	<export: true>
	numberOfMessagesSent ifNil:[ numberOfMessagesSent :=0].
	self pushInteger: numberOfMessagesSent.
	"numberOfMessagesSent ifNil:[ numberOfMessagesSent :=0].
	self pop:1 thenPush: (self integerObjectOf: numberOfMessagesSent )."! !

!RizelStackInterpreter methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/30/2012 10:04'!
primitiveResetMessagesSent
	<export: true>
	numberOfMessagesSent := 0.! !

StackUnixConfig subclass: #RizelStackUnixConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Interpreter'!

!RizelStackUnixConfig methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/30/2012 09:55'!
interpreterClass
	^ RizelStackInterpreter! !

StackWindowsConfig subclass: #RizelStackWindowsConfig
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Interpreter'!

!RizelStackWindowsConfig methodsFor: 'source generation' stamp: 'JuanPabloSandovalAlcocer 11/20/2012 16:31'!
interpreterClass
	^ RizelStackInterpreter! !
